osl::eval::ml::OpenMidEndingEvalDebugInfo Struct Reference

`#include <openMidEndingEval.h>`

## Public Types

enum

StageFeature {
KING_PIECE_RELATIVE , PIECE_STAND , KING25_EFFECT_EACH , PTYPEX ,
PTYPEY , ROOK_MOBILITY , BISHOP_MOBILITY , LANCE_MOBILITY ,
ROOK_EFFECT , BISHOP_EFFECT , PIECE_STAND_COMBINATION , PIECE_STAND_TURN ,
ROOK_PAWN , PAWN_DROP , PIECE_STAND_Y , KNIGHT_CHECK ,
PAWN_ADVANCE , PAWN_PTYPEO , PROMOTED_MINOR_PIECE , KING_PIECE_RELATIVE_NOSUPPORT ,
NON_PAWN_ATTACKED , NON_PAWN_ATTACKED_PTYPE , PTYPE_YY , KING3PIECES ,
BISHOP_HEAD , KNIGHT_HEAD , ROOK_PROMOTE_DEFENSE , PTYPE_COUNT ,
LANCE_EFFECT_PIECE , PTYPE_Y_PAWN_Y , BISHOP_AND_KING , PIECE_FORK_TURN ,
ROOK_SILVER_KNIGHT , BISHOP_SILVER_KNIGHT , KING25_EFFECT_SUPPORTED , KING_ROOK_BISHOP ,
KING_X_BLOCKED3 , GOLD_RETREAT , SILVER_RETREAT , ALL_GOLD ,
ALL_MAJOR , KING25_EFFECT_DEFENSE , ANAGUMA_EMPTY , NO_PAWN_ON_STAND ,
NON_PAWN_PIECE_STAND , PIN_PTYPE_ALL , KING_MOBILITY , GOLD_AND_SILVER_NEAR_KING ,
PTYPE_COMBINATION , KING25_BOTH_SIDE , KING25_MOBILITY , BISHOP_STAND_FILE5 ,
MAJOR_CHECK_WITH_CAPTURE , SILVER_ADVANCE26 , KING25_EFFECT3 , BISHOP_BISHOP_PIECE ,
ROOK_ROOK , ROOK_ROOK_PIECE , KING25_EFFECT_COUNT_COMBINATION , NON_PAWN_ATTACKED_PTYPE_PAIR ,
ATTACK_MAJORS_IN_BASE , STAGE_FEATURE_LIMIT
}

enum | ProgressIndependentFeature { PIECE , BISHOP_EXCHANGE_SILVER_KING , ENTER_KING_DEFENSE , KING25_EFFECT_ATTACK , PIECE_PAIR , PIECE_PAIR_KING , PROGRESS_INDEPENDENT_FEATURE_LIMIT }

## Static Public Member Functions

static const char * | name (ProgressIndependentFeature)
static const char * | name (StageFeature)

## Public Attributes

int | value
int | progress
CArray< int, PROGRESS_INDEPENDENT_FEATURE_LIMIT > | progress_independent_values
CArray< MultiInt, STAGE_FEATURE_LIMIT > | stage_values

## Detailed Description

Definition at line 35 of file openMidEndingEval.h.

## Member Enumeration Documentation

## ProgressIndependentFeature

enum osl::eval::ml::OpenMidEndingEvalDebugInfo::ProgressIndependentFeature

Enumerator
PIECE |
BISHOP_EXCHANGE_SILVER_KING |
ENTER_KING_DEFENSE |
KING25_EFFECT_ATTACK |
PIECE_PAIR |
PIECE_PAIR_KING |
PROGRESS_INDEPENDENT_FEATURE_LIMIT |

Definition at line 102 of file openMidEndingEval.h.

## StageFeature

enum osl::eval::ml::OpenMidEndingEvalDebugInfo::StageFeature

Enumerator
KING_PIECE_RELATIVE |
PIECE_STAND |
KING25_EFFECT_EACH |
PTYPEX |
PTYPEY |
ROOK_MOBILITY |
BISHOP_MOBILITY |
LANCE_MOBILITY |
ROOK_EFFECT |
BISHOP_EFFECT |
PIECE_STAND_COMBINATION |
PIECE_STAND_TURN |
ROOK_PAWN |
PAWN_DROP |
PIECE_STAND_Y |
KNIGHT_CHECK |
PAWN_ADVANCE |
PAWN_PTYPEO |
PROMOTED_MINOR_PIECE |
KING_PIECE_RELATIVE_NOSUPPORT |
NON_PAWN_ATTACKED |
NON_PAWN_ATTACKED_PTYPE |
PTYPE_YY |
KING3PIECES |
BISHOP_HEAD |
KNIGHT_HEAD |
ROOK_PROMOTE_DEFENSE |
PTYPE_COUNT |
LANCE_EFFECT_PIECE |
PTYPE_Y_PAWN_Y |
BISHOP_AND_KING |
PIECE_FORK_TURN |
ROOK_SILVER_KNIGHT |
BISHOP_SILVER_KNIGHT |
KING25_EFFECT_SUPPORTED |
KING_ROOK_BISHOP |
KING_X_BLOCKED3 |
GOLD_RETREAT |
SILVER_RETREAT |
ALL_GOLD |
ALL_MAJOR |
KING25_EFFECT_DEFENSE |
ANAGUMA_EMPTY |
NO_PAWN_ON_STAND |
NON_PAWN_PIECE_STAND |
PIN_PTYPE_ALL |
KING_MOBILITY |
GOLD_AND_SILVER_NEAR_KING |
PTYPE_COMBINATION |
KING25_BOTH_SIDE |
KING25_MOBILITY |
BISHOP_STAND_FILE5 |
MAJOR_CHECK_WITH_CAPTURE |
SILVER_ADVANCE26 |
KING25_EFFECT3 |
BISHOP_BISHOP_PIECE |
ROOK_ROOK |
ROOK_ROOK_PIECE |
KING25_EFFECT_COUNT_COMBINATION |
NON_PAWN_ATTACKED_PTYPE_PAIR |
ATTACK_MAJORS_IN_BASE |
STAGE_FEATURE_LIMIT |

Definition at line 37 of file openMidEndingEval.h.

## Member Function Documentation

## name() [1/2]

const char * osl::eval::ml::OpenMidEndingEvalDebugInfo::name | ( | ProgressIndependentFeature | f | ) |

static

Definition at line 31 of file openMidEndingEval.cc.

## name() [2/2]

const char * osl::eval::ml::OpenMidEndingEvalDebugInfo::name | ( | StageFeature | f | ) |

static

Definition at line 44 of file openMidEndingEval.cc.

## Member Data Documentation

## progress

int osl::eval::ml::OpenMidEndingEvalDebugInfo::progress

Definition at line 113 of file openMidEndingEval.h.

Referenced by osl::eval::ml::OpenMidEndingEval::debugInfo().

## progress_independent_values

CArray<int, PROGRESS_INDEPENDENT_FEATURE_LIMIT> osl::eval::ml::OpenMidEndingEvalDebugInfo::progress_independent_values

Definition at line 114 of file openMidEndingEval.h.

Referenced by osl::eval::ml::OpenMidEndingEval::debugInfo().

## stage_values

CArray<MultiInt, STAGE_FEATURE_LIMIT> osl::eval::ml::OpenMidEndingEvalDebugInfo::stage_values

Definition at line 115 of file openMidEndingEval.h.

Referenced by osl::eval::ml::OpenMidEndingEval::debugInfo().

## value

int osl::eval::ml::OpenMidEndingEvalDebugInfo::value

Definition at line 112 of file openMidEndingEval.h.

Referenced by osl::eval::ml::OpenMidEndingEval::debugInfo().

The documentation for this struct was generated from the following files:

- openMidEndingEval.h
- openMidEndingEval.cc